/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteMailboxPermissionsInput } from "../types/DeleteMailboxPermissionsInput";
import { DeleteMailboxPermissionsOutput } from "../types/DeleteMailboxPermissionsOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/DeleteMailboxPermissionsInput";
export * from "../types/DeleteMailboxPermissionsOutput";
export * from "../types/DeleteMailboxPermissionsExceptionsUnion";
export declare class DeleteMailboxPermissionsCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteMailboxPermissionsInput, OutputTypesUnion, DeleteMailboxPermissionsOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteMailboxPermissionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteMailboxPermissionsInput, DeleteMailboxPermissionsOutput, _stream.Readable>;
    constructor(input: DeleteMailboxPermissionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<DeleteMailboxPermissionsInput, DeleteMailboxPermissionsOutput>;
}
