/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteUserInput } from "../types/DeleteUserInput";
import { DeleteUserOutput } from "../types/DeleteUserOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/DeleteUserInput";
export * from "../types/DeleteUserOutput";
export * from "../types/DeleteUserExceptionsUnion";
export declare class DeleteUserCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteUserInput, OutputTypesUnion, DeleteUserOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteUserInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteUserInput, DeleteUserOutput, _stream.Readable>;
    constructor(input: DeleteUserInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<DeleteUserInput, DeleteUserOutput>;
}
