"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeregisterFromWorkMail_1 = require("../model/operations/DeregisterFromWorkMail");
var DeregisterFromWorkMailCommand = /** @class */ (function () {
    function DeregisterFromWorkMailCommand(input) {
        this.input = input;
        this.model = DeregisterFromWorkMail_1.DeregisterFromWorkMail;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeregisterFromWorkMailCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeregisterFromWorkMailCommand;
}());
exports.DeregisterFromWorkMailCommand = DeregisterFromWorkMailCommand;
//# sourceMappingURL=DeregisterFromWorkMailCommand.js.map