/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeOrganizationInput } from "../types/DescribeOrganizationInput";
import { DescribeOrganizationOutput } from "../types/DescribeOrganizationOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/DescribeOrganizationInput";
export * from "../types/DescribeOrganizationOutput";
export * from "../types/DescribeOrganizationExceptionsUnion";
export declare class DescribeOrganizationCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeOrganizationInput, OutputTypesUnion, DescribeOrganizationOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeOrganizationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeOrganizationInput, DescribeOrganizationOutput, _stream.Readable>;
    constructor(input: DescribeOrganizationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<DescribeOrganizationInput, DescribeOrganizationOutput>;
}
