/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeUserInput } from "../types/DescribeUserInput";
import { DescribeUserOutput } from "../types/DescribeUserOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/DescribeUserInput";
export * from "../types/DescribeUserOutput";
export * from "../types/DescribeUserExceptionsUnion";
export declare class DescribeUserCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeUserInput, OutputTypesUnion, DescribeUserOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeUserInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeUserInput, DescribeUserOutput, _stream.Readable>;
    constructor(input: DescribeUserInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<DescribeUserInput, DescribeUserOutput>;
}
