/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DisassociateMemberFromGroupInput } from "../types/DisassociateMemberFromGroupInput";
import { DisassociateMemberFromGroupOutput } from "../types/DisassociateMemberFromGroupOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/DisassociateMemberFromGroupInput";
export * from "../types/DisassociateMemberFromGroupOutput";
export * from "../types/DisassociateMemberFromGroupExceptionsUnion";
export declare class DisassociateMemberFromGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, DisassociateMemberFromGroupInput, OutputTypesUnion, DisassociateMemberFromGroupOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: DisassociateMemberFromGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DisassociateMemberFromGroupInput, DisassociateMemberFromGroupOutput, _stream.Readable>;
    constructor(input: DisassociateMemberFromGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<DisassociateMemberFromGroupInput, DisassociateMemberFromGroupOutput>;
}
