"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DisassociateMemberFromGroup_1 = require("../model/operations/DisassociateMemberFromGroup");
var DisassociateMemberFromGroupCommand = /** @class */ (function () {
    function DisassociateMemberFromGroupCommand(input) {
        this.input = input;
        this.model = DisassociateMemberFromGroup_1.DisassociateMemberFromGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DisassociateMemberFromGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DisassociateMemberFromGroupCommand;
}());
exports.DisassociateMemberFromGroupCommand = DisassociateMemberFromGroupCommand;
//# sourceMappingURL=DisassociateMemberFromGroupCommand.js.map