"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetMailboxDetails_1 = require("../model/operations/GetMailboxDetails");
var GetMailboxDetailsCommand = /** @class */ (function () {
    function GetMailboxDetailsCommand(input) {
        this.input = input;
        this.model = GetMailboxDetails_1.GetMailboxDetails;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetMailboxDetailsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetMailboxDetailsCommand;
}());
exports.GetMailboxDetailsCommand = GetMailboxDetailsCommand;
//# sourceMappingURL=GetMailboxDetailsCommand.js.map