/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListGroupsInput } from "../types/ListGroupsInput";
import { ListGroupsOutput } from "../types/ListGroupsOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/ListGroupsInput";
export * from "../types/ListGroupsOutput";
export * from "../types/ListGroupsExceptionsUnion";
export declare class ListGroupsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListGroupsInput, OutputTypesUnion, ListGroupsOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: ListGroupsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListGroupsInput, ListGroupsOutput, _stream.Readable>;
    constructor(input: ListGroupsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<ListGroupsInput, ListGroupsOutput>;
}
