/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListResourceDelegatesInput } from "../types/ListResourceDelegatesInput";
import { ListResourceDelegatesOutput } from "../types/ListResourceDelegatesOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/ListResourceDelegatesInput";
export * from "../types/ListResourceDelegatesOutput";
export * from "../types/ListResourceDelegatesExceptionsUnion";
export declare class ListResourceDelegatesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListResourceDelegatesInput, OutputTypesUnion, ListResourceDelegatesOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: ListResourceDelegatesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListResourceDelegatesInput, ListResourceDelegatesOutput, _stream.Readable>;
    constructor(input: ListResourceDelegatesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<ListResourceDelegatesInput, ListResourceDelegatesOutput>;
}
