/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutMailboxPermissionsInput } from "../types/PutMailboxPermissionsInput";
import { PutMailboxPermissionsOutput } from "../types/PutMailboxPermissionsOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/PutMailboxPermissionsInput";
export * from "../types/PutMailboxPermissionsOutput";
export * from "../types/PutMailboxPermissionsExceptionsUnion";
export declare class PutMailboxPermissionsCommand implements __aws_sdk_types.Command<InputTypesUnion, PutMailboxPermissionsInput, OutputTypesUnion, PutMailboxPermissionsOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: PutMailboxPermissionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutMailboxPermissionsInput, PutMailboxPermissionsOutput, _stream.Readable>;
    constructor(input: PutMailboxPermissionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<PutMailboxPermissionsInput, PutMailboxPermissionsOutput>;
}
