/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ResetPasswordInput } from "../types/ResetPasswordInput";
import { ResetPasswordOutput } from "../types/ResetPasswordOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/ResetPasswordInput";
export * from "../types/ResetPasswordOutput";
export * from "../types/ResetPasswordExceptionsUnion";
export declare class ResetPasswordCommand implements __aws_sdk_types.Command<InputTypesUnion, ResetPasswordInput, OutputTypesUnion, ResetPasswordOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: ResetPasswordInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ResetPasswordInput, ResetPasswordOutput, _stream.Readable>;
    constructor(input: ResetPasswordInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<ResetPasswordInput, ResetPasswordOutput>;
}
