"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AssociateDelegateToResourceInput_1 = require("../shapes/AssociateDelegateToResourceInput");
var AssociateDelegateToResourceOutput_1 = require("../shapes/AssociateDelegateToResourceOutput");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var EntityStateException_1 = require("../shapes/EntityStateException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AssociateDelegateToResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AssociateDelegateToResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AssociateDelegateToResourceInput_1.AssociateDelegateToResourceInput
    },
    output: {
        shape: AssociateDelegateToResourceOutput_1.AssociateDelegateToResourceOutput
    },
    errors: [
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: EntityStateException_1.EntityStateException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=AssociateDelegateToResource.js.map