"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteAliasInput_1 = require("../shapes/DeleteAliasInput");
var DeleteAliasOutput_1 = require("../shapes/DeleteAliasOutput");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var EntityStateException_1 = require("../shapes/EntityStateException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteAlias = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteAlias",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteAliasInput_1.DeleteAliasInput
    },
    output: {
        shape: DeleteAliasOutput_1.DeleteAliasOutput
    },
    errors: [
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: EntityStateException_1.EntityStateException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=DeleteAlias.js.map