"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteUserInput_1 = require("../shapes/DeleteUserInput");
var DeleteUserOutput_1 = require("../shapes/DeleteUserOutput");
var DirectoryServiceAuthenticationFailedException_1 = require("../shapes/DirectoryServiceAuthenticationFailedException");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var EntityStateException_1 = require("../shapes/EntityStateException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteUser = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteUser",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteUserInput_1.DeleteUserInput
    },
    output: {
        shape: DeleteUserOutput_1.DeleteUserOutput
    },
    errors: [
        {
            shape: DirectoryServiceAuthenticationFailedException_1.DirectoryServiceAuthenticationFailedException
        },
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: EntityStateException_1.EntityStateException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        }
    ]
};
//# sourceMappingURL=DeleteUser.js.map