"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeUserInput_1 = require("../shapes/DescribeUserInput");
var DescribeUserOutput_1 = require("../shapes/DescribeUserOutput");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeUser = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeUser",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeUserInput_1.DescribeUserInput
    },
    output: {
        shape: DescribeUserOutput_1.DescribeUserOutput
    },
    errors: [
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=DescribeUser.js.map