"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DisassociateDelegateFromResourceInput_1 = require("../shapes/DisassociateDelegateFromResourceInput");
var DisassociateDelegateFromResourceOutput_1 = require("../shapes/DisassociateDelegateFromResourceOutput");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var EntityStateException_1 = require("../shapes/EntityStateException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DisassociateDelegateFromResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DisassociateDelegateFromResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DisassociateDelegateFromResourceInput_1.DisassociateDelegateFromResourceInput
    },
    output: {
        shape: DisassociateDelegateFromResourceOutput_1.DisassociateDelegateFromResourceOutput
    },
    errors: [
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: EntityStateException_1.EntityStateException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=DisassociateDelegateFromResource.js.map