"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetMailboxDetailsInput_1 = require("../shapes/GetMailboxDetailsInput");
var GetMailboxDetailsOutput_1 = require("../shapes/GetMailboxDetailsOutput");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetMailboxDetails = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetMailboxDetails",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetMailboxDetailsInput_1.GetMailboxDetailsInput
    },
    output: {
        shape: GetMailboxDetailsOutput_1.GetMailboxDetailsOutput
    },
    errors: [
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        },
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        }
    ]
};
//# sourceMappingURL=GetMailboxDetails.js.map