"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListResourceDelegatesInput_1 = require("../shapes/ListResourceDelegatesInput");
var ListResourceDelegatesOutput_1 = require("../shapes/ListResourceDelegatesOutput");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var EntityStateException_1 = require("../shapes/EntityStateException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListResourceDelegates = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListResourceDelegates",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListResourceDelegatesInput_1.ListResourceDelegatesInput
    },
    output: {
        shape: ListResourceDelegatesOutput_1.ListResourceDelegatesOutput
    },
    errors: [
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: EntityStateException_1.EntityStateException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=ListResourceDelegates.js.map