"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListResourcesInput_1 = require("../shapes/ListResourcesInput");
var ListResourcesOutput_1 = require("../shapes/ListResourcesOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListResources = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListResources",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListResourcesInput_1.ListResourcesInput
    },
    output: {
        shape: ListResourcesOutput_1.ListResourcesOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=ListResources.js.map