"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListUsersInput_1 = require("../shapes/ListUsersInput");
var ListUsersOutput_1 = require("../shapes/ListUsersOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListUsers = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListUsers",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListUsersInput_1.ListUsersInput
    },
    output: {
        shape: ListUsersOutput_1.ListUsersOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=ListUsers.js.map