"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateMailboxQuotaInput_1 = require("../shapes/UpdateMailboxQuotaInput");
var UpdateMailboxQuotaOutput_1 = require("../shapes/UpdateMailboxQuotaOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var EntityStateException_1 = require("../shapes/EntityStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateMailboxQuota = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateMailboxQuota",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateMailboxQuotaInput_1.UpdateMailboxQuotaInput
    },
    output: {
        shape: UpdateMailboxQuotaOutput_1.UpdateMailboxQuotaOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        },
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: EntityStateException_1.EntityStateException
        }
    ]
};
//# sourceMappingURL=UpdateMailboxQuota.js.map