"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateAliasInput = {
    type: "structure",
    required: ["OrganizationId", "EntityId", "Alias"],
    members: {
        OrganizationId: {
            shape: {
                type: "string"
            }
        },
        EntityId: {
            shape: {
                type: "string",
                min: 12
            }
        },
        Alias: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=CreateAliasInput.js.map