"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateUserInput = {
    type: "structure",
    required: ["OrganizationId", "Name", "DisplayName", "Password"],
    members: {
        OrganizationId: {
            shape: {
                type: "string"
            }
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        DisplayName: {
            shape: {
                type: "string"
            }
        },
        Password: {
            shape: {
                type: "string",
                sensitive: true
            }
        }
    }
};
//# sourceMappingURL=CreateUserInput.js.map