"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeleteMailboxPermissionsInput = {
    type: "structure",
    required: ["OrganizationId", "EntityId", "GranteeId"],
    members: {
        OrganizationId: {
            shape: {
                type: "string"
            }
        },
        EntityId: {
            shape: {
                type: "string",
                min: 12
            }
        },
        GranteeId: {
            shape: {
                type: "string",
                min: 12
            }
        }
    }
};
//# sourceMappingURL=DeleteMailboxPermissionsInput.js.map