"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DescribeOrganizationOutput = {
    type: "structure",
    required: [],
    members: {
        OrganizationId: {
            shape: {
                type: "string"
            }
        },
        Alias: {
            shape: {
                type: "string",
                min: 1
            }
        },
        State: {
            shape: {
                type: "string"
            }
        },
        DirectoryId: {
            shape: {
                type: "string"
            }
        },
        DirectoryType: {
            shape: {
                type: "string"
            }
        },
        DefaultMailDomain: {
            shape: {
                type: "string"
            }
        },
        CompletedDate: {
            shape: {
                type: "timestamp"
            }
        },
        ErrorMessage: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DescribeOrganizationOutput.js.map