"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListAliasesInput = {
    type: "structure",
    required: ["OrganizationId", "EntityId"],
    members: {
        OrganizationId: {
            shape: {
                type: "string"
            }
        },
        EntityId: {
            shape: {
                type: "string",
                min: 12
            }
        },
        NextToken: {
            shape: {
                type: "string",
                min: 1
            }
        },
        MaxResults: {
            shape: {
                type: "integer",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=ListAliasesInput.js.map