"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResetPasswordInput = {
    type: "structure",
    required: ["OrganizationId", "UserId", "Password"],
    members: {
        OrganizationId: {
            shape: {
                type: "string"
            }
        },
        UserId: {
            shape: {
                type: "string",
                min: 12
            }
        },
        Password: {
            shape: {
                type: "string",
                sensitive: true
            }
        }
    }
};
//# sourceMappingURL=ResetPasswordInput.js.map