"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _BookingOptions_1 = require("./_BookingOptions");
exports.UpdateResourceInput = {
    type: "structure",
    required: ["OrganizationId", "ResourceId"],
    members: {
        OrganizationId: {
            shape: {
                type: "string"
            }
        },
        ResourceId: {
            shape: {
                type: "string"
            }
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        BookingOptions: {
            shape: _BookingOptions_1._BookingOptions
        }
    }
};
//# sourceMappingURL=UpdateResourceInput.js.map