"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._Resource = {
    type: "structure",
    required: [],
    members: {
        Id: {
            shape: {
                type: "string",
                min: 12
            }
        },
        Email: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Type: {
            shape: {
                type: "string"
            }
        },
        State: {
            shape: {
                type: "string"
            }
        },
        EnabledDate: {
            shape: {
                type: "timestamp"
            }
        },
        DisabledDate: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_Resource.js.map