import { DirectoryServiceAuthenticationFailedException } from "./DirectoryServiceAuthenticationFailedException";
import { DirectoryUnavailableException } from "./DirectoryUnavailableException";
import { EntityStateException } from "./EntityStateException";
import { InvalidParameterException } from "./InvalidParameterException";
import { OrganizationNotFoundException } from "./OrganizationNotFoundException";
import { OrganizationStateException } from "./OrganizationStateException";
import { UnsupportedOperationException } from "./UnsupportedOperationException";
export declare type DeleteUserExceptionsUnion = DirectoryServiceAuthenticationFailedException | DirectoryUnavailableException | EntityStateException | InvalidParameterException | OrganizationNotFoundException | OrganizationStateException | UnsupportedOperationException;
