import { AssociateDelegateToResourceInput } from "./AssociateDelegateToResourceInput";
import { AssociateMemberToGroupInput } from "./AssociateMemberToGroupInput";
import { CreateAliasInput } from "./CreateAliasInput";
import { CreateGroupInput } from "./CreateGroupInput";
import { CreateResourceInput } from "./CreateResourceInput";
import { CreateUserInput } from "./CreateUserInput";
import { DeleteAliasInput } from "./DeleteAliasInput";
import { DeleteGroupInput } from "./DeleteGroupInput";
import { DeleteMailboxPermissionsInput } from "./DeleteMailboxPermissionsInput";
import { DeleteResourceInput } from "./DeleteResourceInput";
import { DeleteUserInput } from "./DeleteUserInput";
import { DeregisterFromWorkMailInput } from "./DeregisterFromWorkMailInput";
import { DescribeGroupInput } from "./DescribeGroupInput";
import { DescribeOrganizationInput } from "./DescribeOrganizationInput";
import { DescribeResourceInput } from "./DescribeResourceInput";
import { DescribeUserInput } from "./DescribeUserInput";
import { DisassociateDelegateFromResourceInput } from "./DisassociateDelegateFromResourceInput";
import { DisassociateMemberFromGroupInput } from "./DisassociateMemberFromGroupInput";
import { GetMailboxDetailsInput } from "./GetMailboxDetailsInput";
import { ListAliasesInput } from "./ListAliasesInput";
import { ListGroupMembersInput } from "./ListGroupMembersInput";
import { ListGroupsInput } from "./ListGroupsInput";
import { ListMailboxPermissionsInput } from "./ListMailboxPermissionsInput";
import { ListOrganizationsInput } from "./ListOrganizationsInput";
import { ListResourceDelegatesInput } from "./ListResourceDelegatesInput";
import { ListResourcesInput } from "./ListResourcesInput";
import { ListUsersInput } from "./ListUsersInput";
import { PutMailboxPermissionsInput } from "./PutMailboxPermissionsInput";
import { RegisterToWorkMailInput } from "./RegisterToWorkMailInput";
import { ResetPasswordInput } from "./ResetPasswordInput";
import { UpdateMailboxQuotaInput } from "./UpdateMailboxQuotaInput";
import { UpdatePrimaryEmailAddressInput } from "./UpdatePrimaryEmailAddressInput";
import { UpdateResourceInput } from "./UpdateResourceInput";
export declare type InputTypesUnion = AssociateDelegateToResourceInput | AssociateMemberToGroupInput | CreateAliasInput | CreateGroupInput | CreateResourceInput | CreateUserInput | DeleteAliasInput | DeleteGroupInput | DeleteMailboxPermissionsInput | DeleteResourceInput | DeleteUserInput | DeregisterFromWorkMailInput | DescribeGroupInput | DescribeOrganizationInput | DescribeResourceInput | DescribeUserInput | DisassociateDelegateFromResourceInput | DisassociateMemberFromGroupInput | GetMailboxDetailsInput | ListAliasesInput | ListGroupMembersInput | ListGroupsInput | ListMailboxPermissionsInput | ListOrganizationsInput | ListResourceDelegatesInput | ListResourcesInput | ListUsersInput | PutMailboxPermissionsInput | RegisterToWorkMailInput | ResetPasswordInput | UpdateMailboxQuotaInput | UpdatePrimaryEmailAddressInput | UpdateResourceInput;
