import { AssociateDelegateToResourceOutput } from "./AssociateDelegateToResourceOutput";
import { AssociateMemberToGroupOutput } from "./AssociateMemberToGroupOutput";
import { CreateAliasOutput } from "./CreateAliasOutput";
import { CreateGroupOutput } from "./CreateGroupOutput";
import { CreateResourceOutput } from "./CreateResourceOutput";
import { CreateUserOutput } from "./CreateUserOutput";
import { DeleteAliasOutput } from "./DeleteAliasOutput";
import { DeleteGroupOutput } from "./DeleteGroupOutput";
import { DeleteMailboxPermissionsOutput } from "./DeleteMailboxPermissionsOutput";
import { DeleteResourceOutput } from "./DeleteResourceOutput";
import { DeleteUserOutput } from "./DeleteUserOutput";
import { DeregisterFromWorkMailOutput } from "./DeregisterFromWorkMailOutput";
import { DescribeGroupOutput } from "./DescribeGroupOutput";
import { DescribeOrganizationOutput } from "./DescribeOrganizationOutput";
import { DescribeResourceOutput } from "./DescribeResourceOutput";
import { DescribeUserOutput } from "./DescribeUserOutput";
import { DisassociateDelegateFromResourceOutput } from "./DisassociateDelegateFromResourceOutput";
import { DisassociateMemberFromGroupOutput } from "./DisassociateMemberFromGroupOutput";
import { GetMailboxDetailsOutput } from "./GetMailboxDetailsOutput";
import { ListAliasesOutput } from "./ListAliasesOutput";
import { ListGroupMembersOutput } from "./ListGroupMembersOutput";
import { ListGroupsOutput } from "./ListGroupsOutput";
import { ListMailboxPermissionsOutput } from "./ListMailboxPermissionsOutput";
import { ListOrganizationsOutput } from "./ListOrganizationsOutput";
import { ListResourceDelegatesOutput } from "./ListResourceDelegatesOutput";
import { ListResourcesOutput } from "./ListResourcesOutput";
import { ListUsersOutput } from "./ListUsersOutput";
import { PutMailboxPermissionsOutput } from "./PutMailboxPermissionsOutput";
import { RegisterToWorkMailOutput } from "./RegisterToWorkMailOutput";
import { ResetPasswordOutput } from "./ResetPasswordOutput";
import { UpdateMailboxQuotaOutput } from "./UpdateMailboxQuotaOutput";
import { UpdatePrimaryEmailAddressOutput } from "./UpdatePrimaryEmailAddressOutput";
import { UpdateResourceOutput } from "./UpdateResourceOutput";
export declare type OutputTypesUnion = AssociateDelegateToResourceOutput | AssociateMemberToGroupOutput | CreateAliasOutput | CreateGroupOutput | CreateResourceOutput | CreateUserOutput | DeleteAliasOutput | DeleteGroupOutput | DeleteMailboxPermissionsOutput | DeleteResourceOutput | DeleteUserOutput | DeregisterFromWorkMailOutput | DescribeGroupOutput | DescribeOrganizationOutput | DescribeResourceOutput | DescribeUserOutput | DisassociateDelegateFromResourceOutput | DisassociateMemberFromGroupOutput | GetMailboxDetailsOutput | ListAliasesOutput | ListGroupMembersOutput | ListGroupsOutput | ListMailboxPermissionsOutput | ListOrganizationsOutput | ListResourceDelegatesOutput | ListResourcesOutput | ListUsersOutput | PutMailboxPermissionsOutput | RegisterToWorkMailOutput | ResetPasswordOutput | UpdateMailboxQuotaOutput | UpdatePrimaryEmailAddressOutput | UpdateResourceOutput;
