import { DirectoryServiceAuthenticationFailedException } from "./DirectoryServiceAuthenticationFailedException";
import { DirectoryUnavailableException } from "./DirectoryUnavailableException";
import { EntityNotFoundException } from "./EntityNotFoundException";
import { EntityStateException } from "./EntityStateException";
import { InvalidParameterException } from "./InvalidParameterException";
import { InvalidPasswordException } from "./InvalidPasswordException";
import { OrganizationNotFoundException } from "./OrganizationNotFoundException";
import { OrganizationStateException } from "./OrganizationStateException";
import { UnsupportedOperationException } from "./UnsupportedOperationException";
export declare type ResetPasswordExceptionsUnion = DirectoryServiceAuthenticationFailedException | DirectoryUnavailableException | EntityNotFoundException | EntityStateException | InvalidParameterException | InvalidPasswordException | OrganizationNotFoundException | OrganizationStateException | UnsupportedOperationException;
