/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { AssociateDelegateToResourceInput } from "../types/AssociateDelegateToResourceInput";
import { AssociateDelegateToResourceOutput } from "../types/AssociateDelegateToResourceOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/AssociateDelegateToResourceInput";
export * from "../types/AssociateDelegateToResourceOutput";
export * from "../types/AssociateDelegateToResourceExceptionsUnion";
export declare class AssociateDelegateToResourceCommand implements __aws_sdk_types.Command<InputTypesUnion, AssociateDelegateToResourceInput, OutputTypesUnion, AssociateDelegateToResourceOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: AssociateDelegateToResourceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<AssociateDelegateToResourceInput, AssociateDelegateToResourceOutput, _stream.Readable>;
    constructor(input: AssociateDelegateToResourceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<AssociateDelegateToResourceInput, AssociateDelegateToResourceOutput>;
}
