"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AssociateMemberToGroup_1 = require("../model/operations/AssociateMemberToGroup");
var AssociateMemberToGroupCommand = /** @class */ (function () {
    function AssociateMemberToGroupCommand(input) {
        this.input = input;
        this.model = AssociateMemberToGroup_1.AssociateMemberToGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AssociateMemberToGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AssociateMemberToGroupCommand;
}());
exports.AssociateMemberToGroupCommand = AssociateMemberToGroupCommand;
//# sourceMappingURL=AssociateMemberToGroupCommand.js.map