/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateGroupInput } from "../types/CreateGroupInput";
import { CreateGroupOutput } from "../types/CreateGroupOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/CreateGroupInput";
export * from "../types/CreateGroupOutput";
export * from "../types/CreateGroupExceptionsUnion";
export declare class CreateGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateGroupInput, OutputTypesUnion, CreateGroupOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: CreateGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateGroupInput, CreateGroupOutput, _stream.Readable>;
    constructor(input: CreateGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<CreateGroupInput, CreateGroupOutput>;
}
