/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteGroupInput } from "../types/DeleteGroupInput";
import { DeleteGroupOutput } from "../types/DeleteGroupOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/DeleteGroupInput";
export * from "../types/DeleteGroupOutput";
export * from "../types/DeleteGroupExceptionsUnion";
export declare class DeleteGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteGroupInput, OutputTypesUnion, DeleteGroupOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteGroupInput, DeleteGroupOutput, _stream.Readable>;
    constructor(input: DeleteGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<DeleteGroupInput, DeleteGroupOutput>;
}
