"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteMailboxPermissions_1 = require("../model/operations/DeleteMailboxPermissions");
var DeleteMailboxPermissionsCommand = /** @class */ (function () {
    function DeleteMailboxPermissionsCommand(input) {
        this.input = input;
        this.model = DeleteMailboxPermissions_1.DeleteMailboxPermissions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteMailboxPermissionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteMailboxPermissionsCommand;
}());
exports.DeleteMailboxPermissionsCommand = DeleteMailboxPermissionsCommand;
//# sourceMappingURL=DeleteMailboxPermissionsCommand.js.map