/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeregisterFromWorkMailInput } from "../types/DeregisterFromWorkMailInput";
import { DeregisterFromWorkMailOutput } from "../types/DeregisterFromWorkMailOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/DeregisterFromWorkMailInput";
export * from "../types/DeregisterFromWorkMailOutput";
export * from "../types/DeregisterFromWorkMailExceptionsUnion";
export declare class DeregisterFromWorkMailCommand implements __aws_sdk_types.Command<InputTypesUnion, DeregisterFromWorkMailInput, OutputTypesUnion, DeregisterFromWorkMailOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: DeregisterFromWorkMailInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeregisterFromWorkMailInput, DeregisterFromWorkMailOutput, _stream.Readable>;
    constructor(input: DeregisterFromWorkMailInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<DeregisterFromWorkMailInput, DeregisterFromWorkMailOutput>;
}
