/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeGroupInput } from "../types/DescribeGroupInput";
import { DescribeGroupOutput } from "../types/DescribeGroupOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/DescribeGroupInput";
export * from "../types/DescribeGroupOutput";
export * from "../types/DescribeGroupExceptionsUnion";
export declare class DescribeGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeGroupInput, OutputTypesUnion, DescribeGroupOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeGroupInput, DescribeGroupOutput, _stream.Readable>;
    constructor(input: DescribeGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<DescribeGroupInput, DescribeGroupOutput>;
}
