/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DisassociateDelegateFromResourceInput } from "../types/DisassociateDelegateFromResourceInput";
import { DisassociateDelegateFromResourceOutput } from "../types/DisassociateDelegateFromResourceOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/DisassociateDelegateFromResourceInput";
export * from "../types/DisassociateDelegateFromResourceOutput";
export * from "../types/DisassociateDelegateFromResourceExceptionsUnion";
export declare class DisassociateDelegateFromResourceCommand implements __aws_sdk_types.Command<InputTypesUnion, DisassociateDelegateFromResourceInput, OutputTypesUnion, DisassociateDelegateFromResourceOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: DisassociateDelegateFromResourceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DisassociateDelegateFromResourceInput, DisassociateDelegateFromResourceOutput, _stream.Readable>;
    constructor(input: DisassociateDelegateFromResourceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<DisassociateDelegateFromResourceInput, DisassociateDelegateFromResourceOutput>;
}
