/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetMailboxDetailsInput } from "../types/GetMailboxDetailsInput";
import { GetMailboxDetailsOutput } from "../types/GetMailboxDetailsOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/GetMailboxDetailsInput";
export * from "../types/GetMailboxDetailsOutput";
export * from "../types/GetMailboxDetailsExceptionsUnion";
export declare class GetMailboxDetailsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetMailboxDetailsInput, OutputTypesUnion, GetMailboxDetailsOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: GetMailboxDetailsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetMailboxDetailsInput, GetMailboxDetailsOutput, _stream.Readable>;
    constructor(input: GetMailboxDetailsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<GetMailboxDetailsInput, GetMailboxDetailsOutput>;
}
