/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListMailboxPermissionsInput } from "../types/ListMailboxPermissionsInput";
import { ListMailboxPermissionsOutput } from "../types/ListMailboxPermissionsOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/ListMailboxPermissionsInput";
export * from "../types/ListMailboxPermissionsOutput";
export * from "../types/ListMailboxPermissionsExceptionsUnion";
export declare class ListMailboxPermissionsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListMailboxPermissionsInput, OutputTypesUnion, ListMailboxPermissionsOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: ListMailboxPermissionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListMailboxPermissionsInput, ListMailboxPermissionsOutput, _stream.Readable>;
    constructor(input: ListMailboxPermissionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<ListMailboxPermissionsInput, ListMailboxPermissionsOutput>;
}
