/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListOrganizationsInput } from "../types/ListOrganizationsInput";
import { ListOrganizationsOutput } from "../types/ListOrganizationsOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/ListOrganizationsInput";
export * from "../types/ListOrganizationsOutput";
export * from "../types/ListOrganizationsExceptionsUnion";
export declare class ListOrganizationsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListOrganizationsInput, OutputTypesUnion, ListOrganizationsOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: ListOrganizationsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListOrganizationsInput, ListOrganizationsOutput, _stream.Readable>;
    constructor(input: ListOrganizationsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<ListOrganizationsInput, ListOrganizationsOutput>;
}
