/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListResourcesInput } from "../types/ListResourcesInput";
import { ListResourcesOutput } from "../types/ListResourcesOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/ListResourcesInput";
export * from "../types/ListResourcesOutput";
export * from "../types/ListResourcesExceptionsUnion";
export declare class ListResourcesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListResourcesInput, OutputTypesUnion, ListResourcesOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: ListResourcesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListResourcesInput, ListResourcesOutput, _stream.Readable>;
    constructor(input: ListResourcesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<ListResourcesInput, ListResourcesOutput>;
}
