"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutMailboxPermissions_1 = require("../model/operations/PutMailboxPermissions");
var PutMailboxPermissionsCommand = /** @class */ (function () {
    function PutMailboxPermissionsCommand(input) {
        this.input = input;
        this.model = PutMailboxPermissions_1.PutMailboxPermissions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutMailboxPermissionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutMailboxPermissionsCommand;
}());
exports.PutMailboxPermissionsCommand = PutMailboxPermissionsCommand;
//# sourceMappingURL=PutMailboxPermissionsCommand.js.map