"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateMailboxQuota_1 = require("../model/operations/UpdateMailboxQuota");
var UpdateMailboxQuotaCommand = /** @class */ (function () {
    function UpdateMailboxQuotaCommand(input) {
        this.input = input;
        this.model = UpdateMailboxQuota_1.UpdateMailboxQuota;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateMailboxQuotaCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateMailboxQuotaCommand;
}());
exports.UpdateMailboxQuotaCommand = UpdateMailboxQuotaCommand;
//# sourceMappingURL=UpdateMailboxQuotaCommand.js.map