"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdatePrimaryEmailAddress_1 = require("../model/operations/UpdatePrimaryEmailAddress");
var UpdatePrimaryEmailAddressCommand = /** @class */ (function () {
    function UpdatePrimaryEmailAddressCommand(input) {
        this.input = input;
        this.model = UpdatePrimaryEmailAddress_1.UpdatePrimaryEmailAddress;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdatePrimaryEmailAddressCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdatePrimaryEmailAddressCommand;
}());
exports.UpdatePrimaryEmailAddressCommand = UpdatePrimaryEmailAddressCommand;
//# sourceMappingURL=UpdatePrimaryEmailAddressCommand.js.map