/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateResourceInput } from "../types/UpdateResourceInput";
import { UpdateResourceOutput } from "../types/UpdateResourceOutput";
import { WorkMailResolvedConfiguration } from "../WorkMailConfiguration";
export * from "../types/UpdateResourceInput";
export * from "../types/UpdateResourceOutput";
export * from "../types/UpdateResourceExceptionsUnion";
export declare class UpdateResourceCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateResourceInput, OutputTypesUnion, UpdateResourceOutput, WorkMailResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateResourceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateResourceInput, UpdateResourceOutput, _stream.Readable>;
    constructor(input: UpdateResourceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: WorkMailResolvedConfiguration): __aws_sdk_types.Handler<UpdateResourceInput, UpdateResourceOutput>;
}
