"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateAliasInput_1 = require("../shapes/CreateAliasInput");
var CreateAliasOutput_1 = require("../shapes/CreateAliasOutput");
var EmailAddressInUseException_1 = require("../shapes/EmailAddressInUseException");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var EntityStateException_1 = require("../shapes/EntityStateException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var MailDomainNotFoundException_1 = require("../shapes/MailDomainNotFoundException");
var MailDomainStateException_1 = require("../shapes/MailDomainStateException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateAlias = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateAlias",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateAliasInput_1.CreateAliasInput
    },
    output: {
        shape: CreateAliasOutput_1.CreateAliasOutput
    },
    errors: [
        {
            shape: EmailAddressInUseException_1.EmailAddressInUseException
        },
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: EntityStateException_1.EntityStateException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: MailDomainNotFoundException_1.MailDomainNotFoundException
        },
        {
            shape: MailDomainStateException_1.MailDomainStateException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=CreateAlias.js.map