"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteGroupInput_1 = require("../shapes/DeleteGroupInput");
var DeleteGroupOutput_1 = require("../shapes/DeleteGroupOutput");
var DirectoryServiceAuthenticationFailedException_1 = require("../shapes/DirectoryServiceAuthenticationFailedException");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var EntityStateException_1 = require("../shapes/EntityStateException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteGroupInput_1.DeleteGroupInput
    },
    output: {
        shape: DeleteGroupOutput_1.DeleteGroupOutput
    },
    errors: [
        {
            shape: DirectoryServiceAuthenticationFailedException_1.DirectoryServiceAuthenticationFailedException
        },
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: EntityStateException_1.EntityStateException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        }
    ]
};
//# sourceMappingURL=DeleteGroup.js.map