"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteMailboxPermissionsInput_1 = require("../shapes/DeleteMailboxPermissionsInput");
var DeleteMailboxPermissionsOutput_1 = require("../shapes/DeleteMailboxPermissionsOutput");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var EntityStateException_1 = require("../shapes/EntityStateException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteMailboxPermissions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteMailboxPermissions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteMailboxPermissionsInput_1.DeleteMailboxPermissionsInput
    },
    output: {
        shape: DeleteMailboxPermissionsOutput_1.DeleteMailboxPermissionsOutput
    },
    errors: [
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: EntityStateException_1.EntityStateException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=DeleteMailboxPermissions.js.map