"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteResourceInput_1 = require("../shapes/DeleteResourceInput");
var DeleteResourceOutput_1 = require("../shapes/DeleteResourceOutput");
var EntityStateException_1 = require("../shapes/EntityStateException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteResourceInput_1.DeleteResourceInput
    },
    output: {
        shape: DeleteResourceOutput_1.DeleteResourceOutput
    },
    errors: [
        {
            shape: EntityStateException_1.EntityStateException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=DeleteResource.js.map