"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeregisterFromWorkMailInput_1 = require("../shapes/DeregisterFromWorkMailInput");
var DeregisterFromWorkMailOutput_1 = require("../shapes/DeregisterFromWorkMailOutput");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var EntityStateException_1 = require("../shapes/EntityStateException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeregisterFromWorkMail = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeregisterFromWorkMail",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeregisterFromWorkMailInput_1.DeregisterFromWorkMailInput
    },
    output: {
        shape: DeregisterFromWorkMailOutput_1.DeregisterFromWorkMailOutput
    },
    errors: [
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: EntityStateException_1.EntityStateException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=DeregisterFromWorkMail.js.map