"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeGroupInput_1 = require("../shapes/DescribeGroupInput");
var DescribeGroupOutput_1 = require("../shapes/DescribeGroupOutput");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeGroupInput_1.DescribeGroupInput
    },
    output: {
        shape: DescribeGroupOutput_1.DescribeGroupOutput
    },
    errors: [
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=DescribeGroup.js.map