"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeOrganizationInput_1 = require("../shapes/DescribeOrganizationInput");
var DescribeOrganizationOutput_1 = require("../shapes/DescribeOrganizationOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeOrganization = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeOrganization",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeOrganizationInput_1.DescribeOrganizationInput
    },
    output: {
        shape: DescribeOrganizationOutput_1.DescribeOrganizationOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        }
    ]
};
//# sourceMappingURL=DescribeOrganization.js.map