"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeResourceInput_1 = require("../shapes/DescribeResourceInput");
var DescribeResourceOutput_1 = require("../shapes/DescribeResourceOutput");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeResourceInput_1.DescribeResourceInput
    },
    output: {
        shape: DescribeResourceOutput_1.DescribeResourceOutput
    },
    errors: [
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=DescribeResource.js.map