"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DisassociateMemberFromGroupInput_1 = require("../shapes/DisassociateMemberFromGroupInput");
var DisassociateMemberFromGroupOutput_1 = require("../shapes/DisassociateMemberFromGroupOutput");
var DirectoryServiceAuthenticationFailedException_1 = require("../shapes/DirectoryServiceAuthenticationFailedException");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var EntityStateException_1 = require("../shapes/EntityStateException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DisassociateMemberFromGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DisassociateMemberFromGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DisassociateMemberFromGroupInput_1.DisassociateMemberFromGroupInput
    },
    output: {
        shape: DisassociateMemberFromGroupOutput_1.DisassociateMemberFromGroupOutput
    },
    errors: [
        {
            shape: DirectoryServiceAuthenticationFailedException_1.DirectoryServiceAuthenticationFailedException
        },
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: EntityStateException_1.EntityStateException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        }
    ]
};
//# sourceMappingURL=DisassociateMemberFromGroup.js.map