"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListAliasesInput_1 = require("../shapes/ListAliasesInput");
var ListAliasesOutput_1 = require("../shapes/ListAliasesOutput");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var EntityStateException_1 = require("../shapes/EntityStateException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListAliases = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListAliases",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListAliasesInput_1.ListAliasesInput
    },
    output: {
        shape: ListAliasesOutput_1.ListAliasesOutput
    },
    errors: [
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: EntityStateException_1.EntityStateException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=ListAliases.js.map