"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListGroupMembersInput_1 = require("../shapes/ListGroupMembersInput");
var ListGroupMembersOutput_1 = require("../shapes/ListGroupMembersOutput");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var EntityStateException_1 = require("../shapes/EntityStateException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListGroupMembers = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListGroupMembers",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListGroupMembersInput_1.ListGroupMembersInput
    },
    output: {
        shape: ListGroupMembersOutput_1.ListGroupMembersOutput
    },
    errors: [
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: EntityStateException_1.EntityStateException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=ListGroupMembers.js.map