"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListGroupsInput_1 = require("../shapes/ListGroupsInput");
var ListGroupsOutput_1 = require("../shapes/ListGroupsOutput");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListGroups = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListGroups",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListGroupsInput_1.ListGroupsInput
    },
    output: {
        shape: ListGroupsOutput_1.ListGroupsOutput
    },
    errors: [
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=ListGroups.js.map