"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListMailboxPermissionsInput_1 = require("../shapes/ListMailboxPermissionsInput");
var ListMailboxPermissionsOutput_1 = require("../shapes/ListMailboxPermissionsOutput");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListMailboxPermissions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListMailboxPermissions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListMailboxPermissionsInput_1.ListMailboxPermissionsInput
    },
    output: {
        shape: ListMailboxPermissionsOutput_1.ListMailboxPermissionsOutput
    },
    errors: [
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=ListMailboxPermissions.js.map