"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListOrganizationsInput_1 = require("../shapes/ListOrganizationsInput");
var ListOrganizationsOutput_1 = require("../shapes/ListOrganizationsOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListOrganizations = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListOrganizations",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListOrganizationsInput_1.ListOrganizationsInput
    },
    output: {
        shape: ListOrganizationsOutput_1.ListOrganizationsOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        }
    ]
};
//# sourceMappingURL=ListOrganizations.js.map