"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutMailboxPermissionsInput_1 = require("../shapes/PutMailboxPermissionsInput");
var PutMailboxPermissionsOutput_1 = require("../shapes/PutMailboxPermissionsOutput");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var EntityStateException_1 = require("../shapes/EntityStateException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutMailboxPermissions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutMailboxPermissions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutMailboxPermissionsInput_1.PutMailboxPermissionsInput
    },
    output: {
        shape: PutMailboxPermissionsOutput_1.PutMailboxPermissionsOutput
    },
    errors: [
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: EntityStateException_1.EntityStateException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=PutMailboxPermissions.js.map