"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdatePrimaryEmailAddressInput_1 = require("../shapes/UpdatePrimaryEmailAddressInput");
var UpdatePrimaryEmailAddressOutput_1 = require("../shapes/UpdatePrimaryEmailAddressOutput");
var DirectoryServiceAuthenticationFailedException_1 = require("../shapes/DirectoryServiceAuthenticationFailedException");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var EmailAddressInUseException_1 = require("../shapes/EmailAddressInUseException");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var EntityStateException_1 = require("../shapes/EntityStateException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var MailDomainNotFoundException_1 = require("../shapes/MailDomainNotFoundException");
var MailDomainStateException_1 = require("../shapes/MailDomainStateException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdatePrimaryEmailAddress = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdatePrimaryEmailAddress",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdatePrimaryEmailAddressInput_1.UpdatePrimaryEmailAddressInput
    },
    output: {
        shape: UpdatePrimaryEmailAddressOutput_1.UpdatePrimaryEmailAddressOutput
    },
    errors: [
        {
            shape: DirectoryServiceAuthenticationFailedException_1.DirectoryServiceAuthenticationFailedException
        },
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: EmailAddressInUseException_1.EmailAddressInUseException
        },
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: EntityStateException_1.EntityStateException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: MailDomainNotFoundException_1.MailDomainNotFoundException
        },
        {
            shape: MailDomainStateException_1.MailDomainStateException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        }
    ]
};
//# sourceMappingURL=UpdatePrimaryEmailAddress.js.map