"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DescribeGroupOutput = {
    type: "structure",
    required: [],
    members: {
        GroupId: {
            shape: {
                type: "string",
                min: 12
            }
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Email: {
            shape: {
                type: "string",
                min: 1
            }
        },
        State: {
            shape: {
                type: "string"
            }
        },
        EnabledDate: {
            shape: {
                type: "timestamp"
            }
        },
        DisabledDate: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=DescribeGroupOutput.js.map