"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _BookingOptions_1 = require("./_BookingOptions");
exports.DescribeResourceOutput = {
    type: "structure",
    required: [],
    members: {
        ResourceId: {
            shape: {
                type: "string"
            }
        },
        Email: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Type: {
            shape: {
                type: "string"
            }
        },
        BookingOptions: {
            shape: _BookingOptions_1._BookingOptions
        },
        State: {
            shape: {
                type: "string"
            }
        },
        EnabledDate: {
            shape: {
                type: "timestamp"
            }
        },
        DisabledDate: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=DescribeResourceOutput.js.map