"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DescribeUserOutput = {
    type: "structure",
    required: [],
    members: {
        UserId: {
            shape: {
                type: "string",
                min: 12
            }
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Email: {
            shape: {
                type: "string",
                min: 1
            }
        },
        DisplayName: {
            shape: {
                type: "string"
            }
        },
        State: {
            shape: {
                type: "string"
            }
        },
        UserRole: {
            shape: {
                type: "string"
            }
        },
        EnabledDate: {
            shape: {
                type: "timestamp"
            }
        },
        DisabledDate: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=DescribeUserOutput.js.map