"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _PermissionValues_1 = require("./_PermissionValues");
exports.PutMailboxPermissionsInput = {
    type: "structure",
    required: ["OrganizationId", "EntityId", "GranteeId", "PermissionValues"],
    members: {
        OrganizationId: {
            shape: {
                type: "string"
            }
        },
        EntityId: {
            shape: {
                type: "string",
                min: 12
            }
        },
        GranteeId: {
            shape: {
                type: "string",
                min: 12
            }
        },
        PermissionValues: {
            shape: _PermissionValues_1._PermissionValues
        }
    }
};
//# sourceMappingURL=PutMailboxPermissionsInput.js.map