"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateMailboxQuotaInput = {
    type: "structure",
    required: ["OrganizationId", "UserId", "MailboxQuota"],
    members: {
        OrganizationId: {
            shape: {
                type: "string"
            }
        },
        UserId: {
            shape: {
                type: "string",
                min: 12
            }
        },
        MailboxQuota: {
            shape: {
                type: "integer",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=UpdateMailboxQuotaInput.js.map