"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _PermissionValues_1 = require("./_PermissionValues");
exports._Permission = {
    type: "structure",
    required: ["GranteeId", "GranteeType", "PermissionValues"],
    members: {
        GranteeId: {
            shape: {
                type: "string",
                min: 12
            }
        },
        GranteeType: {
            shape: {
                type: "string"
            }
        },
        PermissionValues: {
            shape: _PermissionValues_1._PermissionValues
        }
    }
};
//# sourceMappingURL=_Permission.js.map