import { DirectoryServiceAuthenticationFailedException } from "./DirectoryServiceAuthenticationFailedException";
import { DirectoryUnavailableException } from "./DirectoryUnavailableException";
import { InvalidParameterException } from "./InvalidParameterException";
import { NameAvailabilityException } from "./NameAvailabilityException";
import { OrganizationNotFoundException } from "./OrganizationNotFoundException";
import { OrganizationStateException } from "./OrganizationStateException";
import { ReservedNameException } from "./ReservedNameException";
export declare type CreateResourceExceptionsUnion = DirectoryServiceAuthenticationFailedException | DirectoryUnavailableException | InvalidParameterException | NameAvailabilityException | OrganizationNotFoundException | OrganizationStateException | ReservedNameException;
